Error loading workspaces after upgrade

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Error loading workspaces after upgrade

Tamas Barjak-2
Dear Members,
I upgraded R from 2.15.3 to 3.0.0 (binary) on my WinXP and now I can't
load my workspaces. The error message is:

"Error: requested primitive type is not consistent with cached value
During startup - Warning message:
unable to restore saved data in .RData"

Any idea to fix that?

Thanks, Tamas

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Error loading workspaces after upgrade

PIKAL Petr
Hm. Sometimes workspace cannot be loaded when some packages which vere used for creationd objects in workspaces are missing, but in that case the error message is different.

So you either can delete .RData but it obviously **delete** all objects or you need to find which package is missing from your R3.0.0 installation.

If you want to keep only some objects from your workspace return back to 2.15.3 and save them explicitely

see
?save

Regards
Petr

> -----Original Message-----
> From: [hidden email] [mailto:r-help-bounces@r-
> project.org] On Behalf Of Tamas Barjak
> Sent: Friday, April 12, 2013 1:14 PM
> To: [hidden email]
> Subject: [R] Error loading workspaces after upgrade
>
> Dear Members,
> I upgraded R from 2.15.3 to 3.0.0 (binary) on my WinXP and now I can't
> load my workspaces. The error message is:
>
> "Error: requested primitive type is not consistent with cached value
> During startup - Warning message:
> unable to restore saved data in .RData"
>
> Any idea to fix that?
>
> Thanks, Tamas
>
> [[alternative HTML version deleted]]
>
> ______________________________________________
> [hidden email] mailing list
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide http://www.R-project.org/posting-
> guide.html
> and provide commented, minimal, self-contained, reproducible code.

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Error loading workspaces after upgrade

Duncan Murdoch-2
In reply to this post by Tamas Barjak-2
On 12/04/2013 7:14 AM, Tamas Barjak wrote:
> Dear Members,
> I upgraded R from 2.15.3 to 3.0.0 (binary) on my WinXP and now I can't
> load my workspaces. The error message is:
>
> "Error: requested primitive type is not consistent with cached value
> During startup - Warning message:
> unable to restore saved data in .RData"
>
> Any idea to fix that?

Tamas sent me a copy of the bad file, and I've got a workaround:

The problem is an object called .SavedPlots.  It was produced by the
Windows graphics device when it was recording the history.  It can't be
loaded into R 3.0.0, because some of the internal organization of things
has changed.

The workaround is to restart 2.15.3, load the workspace, then

rm(.SavedPlots)

and save the workspace.  After that things should be fine.

I'll try to get something in place in R-patched so that this doesn't
cause the whole .RData load to fail.

Duncan Murdoch

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.
Reply | Threaded
Open this post in threaded view
|

Re: Error loading workspaces after upgrade

Tamas Barjak-2
YES, it's work! Fine! Thank you! I wait for the R-patch.

Regards,
Tamas


2013/4/12 Duncan Murdoch <[hidden email]>

> On 12/04/2013 7:14 AM, Tamas Barjak wrote:
>
>> Dear Members,
>> I upgraded R from 2.15.3 to 3.0.0 (binary) on my WinXP and now I can't
>> load my workspaces. The error message is:
>>
>> "Error: requested primitive type is not consistent with cached value
>> During startup - Warning message:
>> unable to restore saved data in .RData"
>>
>> Any idea to fix that?
>>
>
> Tamas sent me a copy of the bad file, and I've got a workaround:
>
> The problem is an object called .SavedPlots.  It was produced by the
> Windows graphics device when it was recording the history.  It can't be
> loaded into R 3.0.0, because some of the internal organization of things
> has changed.
>
> The workaround is to restart 2.15.3, load the workspace, then
>
> rm(.SavedPlots)
>
> and save the workspace.  After that things should be fine.
>
> I'll try to get something in place in R-patched so that this doesn't cause
> the whole .RData load to fail.
>
> Duncan Murdoch
>
>
>

        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide http://www.R-project.org/posting-guide.html
and provide commented, minimal, self-contained, reproducible code.